Subject: (ngtrans) New ISATAP draft available; please comment

From: "Fred L. Templin" <[email-masked]>
Date: Fri, 01 Feb 2002 10:10:56 -0800

Hello,

I would like to announce the availability of a new version of the ISATAP
draft (see attachment below). It gives me great pleasure to welcome three
new co-authors who joined me in this effort; their hard work and technical
contributuions have brought significant improvements. Please join me in
welcoming the following new co-authors:

  Tim Gleeson ([email-masked])
  Mohit Talwar ([email-masked])
  Dave Thaler ([email-masked])

On behalf of the other authors, I invite you to review the draft and
bring your comments to the NGTRANS list for open discussion.

Sincerely,

Fred Templin
[email-masked] 

[email-masked] wrote:
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Next Generation Transition Working Group of the IETF.
> 
>         Title           : Intra-Site Automatic Tunnel Addressing Protocol
>                           (ISATAP)
>         Author(s)       : F. Templin et al.
>         Filename        : draft-ietf-ngtrans-isatap-03.txt
>         Pages           : 15
>         Date            : 31-Jan-02
> 
> This document specifies the Intra-Site Automatic Tunnel Addressing
> Protocol (ISATAP) that connects IPv6 hosts and routers (nodes) within
> IPv4 sites. ISATAP is a transition mechanism that enables incremental
> deployment of IPv6 by treating the site's IPv4 infrastructure as a
> Non-Broadcast Multiple Access (NBMA) link layer.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-ngtrans-isatap-03.txt
> 
> To remove yourself from the IETF Announcement list, send a message to
> ietf-announce-request with the word unsubscribe in the body of the message.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
>         "get draft-ietf-ngtrans-isatap-03.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
>         [email-masked].
> In the body type:
>         "FILE /internet-drafts/draft-ietf-ngtrans-isatap-03.txt".
> 
> NOTE:   The mail server at ietf.org can return the document in
>         MIME-encoded form by using the "mpack" utility.  To use this
>         feature, insert the command "ENCODING mime" before the "FILE"
>         command.  To decode the response(s), you will need "munpack" or
>         a MIME-compliant mail reader.  Different MIME-compliant mail readers
>         exhibit different behavior, especially when dealing with
>         "multipart" MIME messages (i.e. documents which have been split
>         up into multiple messages), so check your local documentation on
>         how to manipulate these messages.
> 
> 
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
> 
>   ----------------------------------------------------------------------------------------------------
> Content-Type: text/plain
> Content-ID:     <[email-masked]>

---

From: Vladislav Yasevich <[email-masked]>
Date: Mon, 04 Feb 2002 15:48:10 -0500

Hello Fred et all.

Great draft.  Much clearer then the previous versions.

I did a quick pass over it an noticed a few things missing.
The MTU considereations section disapeared.  Are you waiting for
the next rev to put it back in?

Also, the ResolveInterval and periodic queries for the ISATAP routers is
not there (this was in the peer copy).  I thought this was an excellent
feature
that allowed for dynamic addition and removal of ISATAP routers that may be
handy during deployment. Could you clue me in as to why this was not put in?

Additionally, please consider changing (in Section 4.5):

     - the network-layer (IPv6) source address has a prefix configured on
       the ISATAP interface ...
to
     - the network-layer (IPv6) source address has a prefix that is configured
on
       							    ^^^^^^^
       the ISATAP interface.

I think that make the sentence easier to read.

Furthermore, isn't IANA "Protocol and Service Names" document only protects
WKS
DNS records?  The reason I ask is the document specifies as an example the use
of
A records and I am not sure that the ISATAP name would be protected in that
space.

Thanks
-vlad 
++++++++++++++++++++++++++++++++++++++++++++++++++++
Vladislav Yasevich		Tel: (603) 884-1079
Compaq Computer Corp.		Fax: (435) 514-6884
110 Spit Brook Rd ZK03-3/T07
Nashua, NH 03062

---

From: "Fred L. Templin" <[email-masked]>
Date: Mon, 04 Feb 2002 15:53:41 -0800

Hi Vlad,

> Great draft.  Much clearer then the previous versions.

Thanks.

> the next rev to put it back in?

Since ISATAP is an example of an automatic tunneling mechanism, we
decided to simply provide reference to RFC 2893, sections 3.1-3.6 for
MTU considerations (among other items) instead of try to redefine it
ourselves. (i.e., we now believe this is a generic consideration for
auto-tunneling, and already specified by [MECH,3.1-3.6].)
 
> handy during deployment. Could you clue me in as to why this was not put in?

The periodic queries for the "ISATAP" WKS are still there. The text has
moved to section 5.2.1 since the peer review version.

> I think that make the sentence easier to read.

Agreed. We'll mark this for inclusion in the next draft version.

> A records and I am not sure that the ISATAP name would be protected in that

This is a good point, and I'll check with the other authors on this. We'll
see if we can modify the example given to make things clearer.

Thanks for your comments,

Fred Templin
[email-masked]

---

From: Vladislav Yasevich <[email-masked]>
Date: Tue, 05 Feb 2002 09:57:01 -0500

> auto-tunneling, and already specified by [MECH,3.1-3.6].)

Ahh, ok... I just found the text.  Thanks

> moved to section 5.2.1 since the peer review version.

I did say it was a "quick pass" ;).  I must have missed it.  

Thanks
-vlad